.loading {
    width: 100%;
    height: 50px;
    background: lightgreen;
    position: relative;
    animation: mymove 5s infinite ease-out;
    margin:10px;
    border:1px solid black;
    border-radius:3px;
    text-align:center;
    color:grey;
    padding:15px;
}

@keyframes mymove {
    from {width: 0px;}
    to {width: 100%;}
    0%  {background-color: black;}
    50%  {background-colo: grey;}
    100% {background-color: yellow;}
}
